Skip to main content
GET
/
v2
/
jobs
/
{jobId}
Retrieve a Job
curl --request GET \
  --url https://api.lilt.com/v2/jobs/{jobId} \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://api.lilt.com/v2/jobs/{jobId}"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://api.lilt.com/v2/jobs/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "name": "My New Job",
  "creationStatus": "COMPLETE",
  "deliveredAt": "2021-06-03T13:43:00Z",
  "status": "active",
  "due": "2021-06-03T13:43:00Z",
  "id": 241,
  "isProcessing": 0,
  "stats": {
    "exactWords": 0,
    "fuzzyWords": 0,
    "newWords": 0,
    "numDeliveredProjects": 0,
    "numLanguagePairs": 0,
    "numProjects": 0,
    "percentReviewed": 0,
    "percentTranslated": 0,
    "projects": [
      {
        "id": 123,
        "srcLang": "en",
        "srcLocale": "US",
        "trgLang": "fr",
        "trgLocale": "CA",
        "name": "My new project",
        "due": "2021-10-03T13:43:00.000Z",
        "isComplete": false,
        "isArchived": false,
        "state": "inProgress",
        "numSourceTokens": 2134,
        "createdAt": "2021-04-01T13:43:00.000Z",
        "updatedAt": "2021-06-03T13:43:00.000Z",
        "isDeleted": false,
        "memoryId": 2134,
        "workflowStatus": "READY_TO_START",
        "workflowName": "Translate > Review > Analyst Review"
      }
    ],
    "sourceWords": 0,
    "uniqueLanguagePairs": 1,
    "uniqueLinguists": 1,
    "workflowStatus": "READY_TO_START"
  },
  "domains": [
    {
      "id": 12,
      "name": "Marketing"
    }
  ]
}
"<string>"
{
"message": "Internal server error."
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

jobId
integer
required

A job id.

Response

A job object.

A Job is a collection of multiple Projects. Each project is specific to a language pair, and is associated with exactly one Memory for that language pair. The Memory association cannot be changed after the Project is created.

name
string

A name for the job.

Example:

"My New Job"

creationStatus
string

Status of job creation process that includes PENDING, COMPLETE, and FAILED.

Example:

"COMPLETE"

deliveredAt
string<date-time>
Example:

"2021-06-03T13:43:00Z"

status
string

Current status of job that includes archived, delivered, and active.

Example:

"active"

due
string<date-time>

An ISO string date.

Example:

"2021-06-03T13:43:00Z"

id
integer

An id for the job.

Example:

241

isProcessing
integer

Values include 1 while in progress, 0 when idle and -2 when processing failed.

Example:

0

stats
object

A job stats shows an overview of job's statistical data including total number of exact words, fuzzy words, language pairs, projects, etc.

domains
object[]

Domains associated with this Job. Returned on the GET /v2/jobs/{jobId} response so callers can drive domain-specific behaviour (e.g. quality thresholds) without falling back to BigQuery.